Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 428798 - New ebuild: dev-perl/Mozilla-CA (biber dependency)
Summary: New ebuild: dev-perl/Mozilla-CA (biber dependency)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 340353
  Show dependency tree
 
Reported: 2012-07-31 13:39 UTC by Luis Ressel
Modified: 2013-04-04 17:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Mozilla-CA-20120309.ebuild (Mozilla-CA-20120309.ebuild,393 bytes, text/plain)
2012-07-31 13:39 UTC, Luis Ressel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Ressel 2012-07-31 13:39:51 UTC
Created attachment 319860 [details]
Mozilla-CA-20120309.ebuild

Please add the attached ebuild. It is a dependency of dev-tex/biber (bug #340353).
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2012-09-11 16:46:19 UTC
I still like to avoid adding Mozilla-CA.
We should patch biber to use the certs from app-misc/ca-certificates.
Comment 2 Luis Ressel 2012-09-11 18:19:30 UTC
I fully agree to you that this approach would be better, but I don't feel experienced enough with perl to do that...
Comment 3 Sven 2012-09-12 00:53:19 UTC
(In reply to comment #2)
> I fully agree to you that this approach would be better, but I don't feel
> experienced enough with perl to do that...

And even more important: why did the biber developers go with Mozilla-CA instead?
We could also ask upstream, why they don't support app-misc/ca-certificates (of which I'm sure, some equivalent exists on other distros, right?).
Comment 4 Luis Ressel 2012-09-13 14:52:33 UTC
Yes, there are equivalents. On debian-bases distros, for example, the paths are exactly the same.

This whole part of biber looks like it could need some refactoring (identical or similar code in 4 or 5 different files), so if someone has time to spare, I'm sure upstream would be cooperative. I'll have a look at it myself – I'm not sure if I can handle it with my limited knowledge of perl, but maybe it's easier than I expect...
Comment 5 Luis Ressel 2012-10-05 18:58:57 UTC
I patched biber to avoid using Mozilla::CA, see #340353.
Comment 6 Christopher Schwan 2013-04-04 16:24:09 UTC
We have a patch for the most recent version of biber, therefore this bug should be closed RESOLVED WONTFIX - it's no longer needed.
Comment 7 Sergey Popov gentoo-dev Security 2013-04-04 17:15:17 UTC
(In reply to comment #6)
> We have a patch for the most recent version of biber, therefore this bug
> should be closed RESOLVED WONTFIX - it's no longer needed.

Ok, closed